Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.server
Class XmlInputStreamLogEventBridge

    java.lang.Object
      org.apache.logging.log4j.core.net.server.AbstractLogEventBridge<InputStream>
          org.apache.logging.log4j.core.net.server.InputStreamLogEventBridge
              org.apache.logging.log4j.core.net.server.XmlInputStreamLogEventBridge

All Implemented Interfaces:
  LogEventBridge<InputStream>

    public class XmlInputStreamLogEventBridge

extends InputStreamLogEventBridge

Reads and logs `LogEvent`s from an `InputStream`.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.net.server.AbstractLogEventBridge
`END, logger`

Constructor Summary
`XmlInputStreamLogEventBridge()`
`XmlInputStreamLogEventBridge(int bufferSize, Charset charset)`

Method Summary
`protected int[]` | `getEventIndices(String text, int beginIndex)`

Methods inherited from class org.apache.logging.log4j.core.net.server.InputStreamLogEventBridge
`logEvents, unmarshal`

Methods inherited from class org.apache.logging.log4j.core.net.server.AbstractLogEventBridge
`wrapStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlInputStreamLogEventBridge

    public XmlInputStreamLogEventBridge()

### XmlInputStreamLogEventBridge

    public XmlInputStreamLogEventBridge(int bufferSize,
                                        Charset charset)

Method Detail

### getEventIndices

    protected int[] getEventIndices(String text,
                                    int beginIndex)

  Specified by:
    `getEventIndices` in class `InputStreamLogEventBridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.